ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Reilly <>
Subject Re: ant 1.6.5, bsf 2.3.0, rhino 1.6R2 RC2
Date Mon, 05 Sep 2005 08:53:26 GMT
Roman Neuhauser wrote:

>I'm hitting walls trying to use script tasks with javascript.
>* FreeBSD-5.4-RELEASE-p6 i386
>* (compiled) native Sun JDK SE 1.4.2_8 FreeBSD patch level 7
>* (binary) Apache Ant 1.6.5
>* (binary) Apache BSF 2.3.0
>* (binary) Mozilla Rhino 1.6 R2 RC2,
>I'm seeing these two errors when I try to use javascript scripts:
>java.lang.NoSuchMethodError: org.mozilla.javascript.Context.getDebuggableEngine()Lorg/mozilla/javascript/debug/DebuggableEngine;
>Looks like I'm not the only one who hasn't gotten this to work:
> says:
>"If you use Apache BSF 2.3.0-rc1, you must use rhino 1.5R3 - later
>versions of BSF work with 1.5R4 as well."
>but suggests that 1.5R4 cannot
>work with 2.3.0 because Rhino dropped the Context.getDebuggableEngine
>method between R3 and R4, and, as it turns out, that's precisely the
>The text on the Ant install.html page is thus misleading: BSF 2.3.0
>(which is later than 2.3.0-RC1) does not work with Rhino 1.5R4 or newer.
The bsf site is a bit misleading, there is no 2.3.0 release, the bsf-2.3 
tar file comes
from a 2.3,0 rc1 directory. Work on apache bsf seems to have paused a 
long time

Ant will most likely support the jdk 1.6 javax.script api soon, allowing use
of the inbuild rhino and (for 1.7) inbuilt beanshell and any scripting 
that supports javax.script.


>Could someone please fix the text?

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message